## org.apache.lucene.analysis
Class ISOLatin1AccentFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ISOLatin1AccentFilter

    public class ISOLatin1AccentFilter

extends TokenFilter

A filter that replaces accented characters in the ISO Latin 1 character set (ISO-8859-1) by their unaccented equivalent. The case will not be altered.

For instance, 'à' will be replaced by 'a'.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ISOLatin1AccentFilter(TokenStream input)`

Method Summary
`Token` `next(Token reusableToken)` Returns the next token in the stream, or null at EOS.
`void` `removeAccents(char[] input, int length)` To replace accented characters in a String by unaccented equivalents.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISOLatin1AccentFilter

    public ISOLatin1AccentFilter(TokenStream input)

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Description copied from class: `TokenStream`
  Returns the next token in the stream, or null at EOS. When possible, the input Token should be used as the returned Token (this gives fastest tokenization performance), but this is not required and a new Token may be returned. Callers may re-use a single Token instance for successive calls to this method.

  This implicitly defines a "contract" between consumers (callers of this method) and producers (implementations of this method that are the source for tokens):

  - A consumer must fully consume the previously returned Token before calling this method again.
  - A producer must call `Token.clear()` before setting the fields in it & returning it
  Also, the producer must make no assumptions about a Token after it has been returned: the caller may arbitrarily change it. If the producer needs to hold onto the token for subsequent calls, it must clone() it before storing it. Note that a `TokenFilter` is considered a consumer.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a Token that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

### removeAccents

    public final void removeAccents(char[] input,
                                    int length)

  To replace accented characters in a String by unaccented equivalents.

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.